Package org.wso2.carbon.logging.appender.http.utils

## Class AppenderConstants

- java.lang.Object
- - org.wso2.carbon.logging.appender.http.utils.AppenderConstants

-     public class AppenderConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `AUTHORIZATION_HEADER` |
    `static String` | `BASIC_AUTH_PREFIX` |
    `static String` | `HTTPS` |
    `static int` | `MINIMUM_BATCH_SIZE_IN_BYTES` |
    `static int` | `MINIMUM_DISK_SPACE_IN_BYTES` |
    `static String` | `QUEUE_DIRECTORY_PATH` |
    `static int` | `SCHEDULER_CORE_POOL_SIZE` |
    `static int` | `SCHEDULER_DELAY` |
    `static int` | `SCHEDULER_INITIAL_DELAY` |
    `static int` | `SCHEDULER_TERMINATION_DELAY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppenderConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCHEDULER_CORE_POOL_SIZE

          public static final int SCHEDULER_CORE_POOL_SIZE

      See Also:
        Constant Field Values

    - #### SCHEDULER_DELAY

          public static final int SCHEDULER_DELAY

      See Also:
        Constant Field Values

    - #### SCHEDULER_INITIAL_DELAY

          public static final int SCHEDULER_INITIAL_DELAY

      See Also:
        Constant Field Values

    - #### SCHEDULER_TERMINATION_DELAY

          public static final int SCHEDULER_TERMINATION_DELAY

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_HEADER

          public static final String AUTHORIZATION_HEADER

      See Also:
        Constant Field Values

    - #### BASIC_AUTH_PREFIX

          public static final String BASIC_AUTH_PREFIX

      See Also:
        Constant Field Values

    - #### HTTPS

          public static final String HTTPS

      See Also:
        Constant Field Values

    - #### QUEUE_DIRECTORY_PATH

          public static final String QUEUE_DIRECTORY_PATH

      See Also:
        Constant Field Values

    - #### MINIMUM_BATCH_SIZE_IN_BYTES

          public static final int MINIMUM_BATCH_SIZE_IN_BYTES

      See Also:
        Constant Field Values

    - #### MINIMUM_DISK_SPACE_IN_BYTES

          public static final int MINIMUM_DISK_SPACE_IN_BYTES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AppenderConstants

          public AppenderConstants()